Skip to main content
GET
Get player by source ID

Path Parameters

project_id
string
required

The numeric ID of your project

id
string
required

The source_id of your content item

Query Parameters

preview_token
string

The preview token of your content item

media_format
enum<string>
Available options:
audio,
video
words
boolean
summary
boolean

Response

200 - application/json

OK

language
string
content
object[]

Content that has been filtered to published=true and status=processed. See the swagger schema for /v1/content for more information.

settings
object

Player settings for the project of the first content item. See the swagger schema for /v1/player_settings for more information.

video_settings
object

Video settings for the project of the first content item. See the swagger schema for /v1/video_settings for more information.

playlist
object | null

Playlist data, if applicable for the endpoint. Endpoint /v1/player/content/{id} returns null. Endpoint /v1/player/playlist/{id} returns data of the playlist. Endpoint /v1/player/playlist returns data of the first playlist (if any). See the swagger schema for /v1/playlist for more information.

ads
object[]

Ads that have been filtered to enabled=true and time_range overlaps the current time. See the swagger schema for /v1/ads for more information.